$bubble-color: pink;
$bubble-size: 7px;
.slider-holder {
  width: 95%;
  height: 2px;
  margin: 0 auto;
  position: relative;
  background-color: #d1cece;

  &:focus {
    outline: 0;
  }

  .legend {
    position: absolute;
    font-size: 8px;
    top: 100%;
    left: 0;
    text-align: left;
    direction: rtl;

    span {
      position: relative;
      //text-align: center;
      left: -50%;
    }
  }

  @for $i from 2 through 5 {
    .legend:nth-child(#{$i}) {
      $num: ($i * 25% - 25%);
      left: $num;
    }
  }

  .slider-body {
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    width: 10%;
    background-color: black;
  }

  .slider-head {
    width: 10px;
    position: absolute;
    top: -250%;
    height: 500%;
    background-color: white;
    border: 2px solid black;
    border-radius: 500%;
    //box-sizing: border-box;

    .bubble {
      position: relative;
      font-size: 10px;
      background: $bubble-color;
      border-radius: .4em;
      text-align: center;
      height: 10px;
      width: 70px;
      top: -67%;
      display: none;
      left: -33px;

      &:after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 50%;
        width: 0;
        height: 0;
        border: $bubble-size solid transparent;
        border-top-color: $bubble-color;
        border-bottom: 0;
        margin-left: (-$bubble-size);
        margin-bottom: (-$bubble-size);
      }
    }
  }
}